<?php
/**
 * Copyright (c) 2016 Serhii Borodai <clarifying@gmail.com>.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 *  all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 *
 */

namespace App\Entity\Feeds;

use App\Entity\Common;


/**
 * Class StatsDay
 * @package App\Entity
 */
class Transaction extends Common
{
    // FeedID
    public function getFeedid()
    {
        return $this->feedid;
    }
    
    public function setFeedid($feedid)
    {
        $this->feedid = $feedid;
        return $this;
    }
    
    // EventDate
    public function getEventdate()
    {
        return $this->eventdate;
    }

    public function setEventdate($eventdate)
    {
        $this->eventdate = $eventdate;
        return $this;
    }
    
    // Transactionid
    public function getTransactionid()
    {
        return $this->transactionid;
    }

    public function setTransactionid($transactionid)
    {
        $this->transactionid = $transactionid;
        return $this;
    }
    
    // Foreignid
    public function getForeignid()
    {
        return $this->foreignid;
    }

    public function setForeignid($foreignid)
    {
        $this->foreignid = $foreignid;
        return $this;
    }
    
    // Currency
    public function getCurrency()
    {
        return $this->currency;
    }

    public function setCurrency($currency)
    {
        $this->currency = $currency;
        return $this;
    }
    
    // Localmoney
    public function getLocalmoney(): float
    {
        return $this->localmoney;
    }

    public function setLocalmoney($localmoney)
    {
        $this->localmoney = $localmoney;
        return $this;
    }
    
    // Usdollarmoney
    public function getUsdollarmoney(): float
    {
        return $this->usdollarmoney;
    }

    public function setUsdollarmoney($usdollarmoney)
    {
        $this->usdollarmoney = $usdollarmoney;
        return $this;
    }
    

}